using System;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Unesi dva slova");
            string str = Console.ReadLine();
            char[] c1c2 = str.ToCharArray();
            char c1 = c1c2[0];
            char c2 = c1c2[1];
            string[] a1a2 = Console.ReadLine().Split();
            int a1 = int.Parse(a1a2[0]);
            int a2 = int.Parse(a1a2[1]);
            string novi_string = "";
            for (int i = 0; i < a1 + a2; i++)
            {
                if ((a1>a2+1)||(a2>a1+1))
                {
                    Console.WriteLine("nemoguce");break;
                }
                else if (a1 > a2)
                {
                    if (i % 2 == 0)
                    {
                        novi_string += c1;

                    }
                    else
                    {
                        novi_string += c2;

                    }
                }
                else
                {
                    if(i % 2 == 0)
                    {
                        novi_string += c2;

                    }
                    else
                    {
                        novi_string += c1;

                    }
                }
            }
            Console.WriteLine(novi_string);
        }
    }
}